App\ContactBundle\Entity\MessageStat:
  type: entity
  repositoryClass: App\ContactBundle\Repository\MessageStatRepository
  table: contact_message_stat
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    delivered:
      type: boolean
      default: false
      nullable: true
    delivered_date:
      type: datetime
      nullable: true
    is_read:
      type: boolean
      default: false
      nullable: true
    read_date:
      type: datetime
      nullable: true
    unsubscribed:
      type: boolean
      default: false
      nullable: true
    unsubscribed_date:
      type: datetime
      nullable: true
    spam_score:
      type: decimal
      precicion: 2
      scale: 2
      nullable: true
    spam_detail:
      type: text
      nullable: true
    track_data:
      type: text
  manyToOne:
    message_recipient:
      targetEntity: MessageRecipient
      joinColumn:
        name: message_recipient_id
        referencedColumnName: id
      inversedBy: message_stat